# Generated by Django 4.2.14 on 2025-01-09 15:09

from datetime import datetime

import django.utils.timezone
from django.db import migrations, models


def valid_at_default_time():
    # We set a time long ago so that all new events that come in will be processed
    return datetime(1970, 1, 1, 0, 0, 0)


class Migration(migrations.Migration):
    dependencies = [
        ("activate_account", "0004_alter_account_crsid_account_unique_lowercase_crsid"),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name="account",
            name="unique_account",
        ),
        migrations.AddField(
            model_name="account",
            name="created_at",
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="account",
            name="deleted_at",
            field=models.DateTimeField(null=True),
        ),
        migrations.AddField(
            model_name="account",
            name="updated_at",
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.AddField(
            model_name="account",
            name="valid_at",
            field=models.DateTimeField(default=valid_at_default_time),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name="account",
            name="code",
            field=models.CharField(max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name="account",
            name="date_of_birth",
            field=models.DateField(null=True),
        ),
        migrations.AlterField(
            model_name="account",
            name="last_name",
            field=models.CharField(db_collation="case_insensitive", max_length=100, null=True),
        ),
        migrations.AddConstraint(
            model_name="account",
            constraint=models.UniqueConstraint(
                models.F("last_name"),
                models.F("date_of_birth"),
                models.F("code"),
                condition=models.Q(
                    ("code", None), ("date_of_birth", None), ("last_name", None), _negated=True
                ),
                name="unique_account",
            ),
        ),
        migrations.AddConstraint(
            model_name="account",
            constraint=models.CheckConstraint(
                check=models.Q(
                    ("deleted_at__isnull", False),
                    models.Q(
                        ("code__isnull", False),
                        ("date_of_birth__isnull", False),
                        ("last_name__isnull", False),
                    ),
                    _connector="OR",
                ),
                name="fields_not_nullable_if_deleted_at_is_not_null",
            ),
        ),
    ]
